#include "MainWindow.h"
#include "ui_MainWindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    ui->webView->page()->setLinkDelegationPolicy(QWebPage::DelegateAllLinks);
    connect(ui->webView->page(), SIGNAL(loadProgress(int)), ui->progressBar, SLOT(setValue(int)));
    connect(ui->webView->page(), SIGNAL(loadFinished(bool)), this, SLOT(finishLoadPage(bool)));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_URLline_returnPressed()
{
    QString url_str = this->ui->URLline->text();
    if (!url_str.startsWith("http://")){
    url_str = "http://"+url_str;
    }
    QUrl url(url_str);
    ui->URLline->setText(url_str);
    this->ui->webView->load(url);
}

void MainWindow::on_webView_linkClicked(const QUrl &url)
{
    ui->webView->load(url);
    ui->URLline->setText(url.toString());
}

void MainWindow::on_pushButton_5_clicked()
{
    QString url_str = "google.ru";
    if (!url_str.startsWith("http://")){
    url_str = "http://"+url_str;
    }
    QUrl url(url_str);
    ui->URLline->setText(url_str);
    this->ui->webView->load(url);
}

void
MainWindow::finishLoadPage(bool aFlag)
{
 if (aFlag)
 {
     ui->URLline->setText(ui->webView->url().url());
 }
}
